from typing import List

def twoSumK(numbers: List[int], target: int) -> List[int]:
    """
    Find the 1-based indices of two numbers in a sorted list that add up to the target.

    Parameters:
    numbers (List[int]): A sorted list of integers.
    target (int): The target sum.

    Returns:
    List[int]: A list containing the 1-based indices of the two numbers that sum to the target.
    """
    start, end = 0, len(numbers) - 1  # left, right
    while start < end:
        if numbers[start] + numbers[end] == target:
            return [start + 1, end + 1]
        elif numbers[start] + numbers[end] < target:
            start += 1
        else:
            end -= 1
    return []

def twoSum(numbers: List[int], target: int) -> List[int]:
    """
    Find the 0-based indices of two numbers in a sorted list that add up to the target.

    Parameters:
    numbers (List[int]): A sorted list of integers.
    target (int): The target sum.

    Returns:
    List[int]: A list containing the 0-based indices of the two numbers that sum to the target.
    """
    start, end = 0, len(numbers) - 1  # left, right
    while start < end:
        if numbers[start] + numbers[end] == target:
            return [start, end]
        elif numbers[start] + numbers[end] < target:
            start += 1
        else:
            end -= 1
    return []

def is_subsequence(s: str, t: str) -> bool:
    """
    Check if string 's' is a subsequence of string 't'.

    Parameters:
    s (str): The string to check as a subsequence.
    t (str): The string in which to check for the subsequence.

    Returns:
    bool: Returns True if 's' is a subsequence of 't', otherwise False.
    """
    t_iter = iter(t)  # Create an iterator for 't'
    return all(char in t_iter for char in s)

def helper() -> List[str]:
    """
    Returns a list of function signatures for reference.

    Returns:
    List[str]: A list of function signatures.
    """
    return [
        "twoSumK(numbers: List[int], target: int) -> List[int]",
        "twoSum(numbers: List[int], target: int) -> List[int]",
        "is_subsequence(s: str, t: str) -> bool"
    ]
